<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>srs</artifactId>
        <groupId>com.srs</groupId>
        <version>3.8.5</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <packaging>jar</packaging>
    <artifactId>srs-admin</artifactId>

    <description>
        web服务入口
    </description>

    <dependencies>

        <!--二维码工具类-->
        <dependency>
            <groupId>com.google.zxing</groupId>
            <artifactId>core</artifactId>
            <version>3.3.3</version>
        </dependency>
        <dependency>
            <groupId>com.google.zxing</groupId>
            <artifactId>javase</artifactId>
            <version>3.3.3</version>
        </dependency>
        <!-- spring-boot-devtools -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-devtools</artifactId>
            <optional>true</optional> <!-- 表示依赖不会传递 -->
        </dependency>

        <!-- swagger3-->
        <dependency>
            <groupId>com.github.xiaoymin</groupId>
            <artifactId>knife4j-spring-boot-starter</artifactId>
            <version>3.0.3</version>
        </dependency>

        <!-- 防止进入swagger页面报类型转换错误，排除3.0.0中的引用，手动增加1.6.2版本 -->
        <dependency>
            <groupId>io.swagger</groupId>
            <artifactId>swagger-models</artifactId>
            <version>1.6.2</version>
        </dependency>

        <!--常用工具类 -->
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
        </dependency>

        <!-- JSON工具类 -->
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-databind</artifactId>
        </dependency>

        <!-- 阿里JSON解析器 -->
        <dependency>
            <groupId>com.alibaba.fastjson2</groupId>
            <artifactId>fastjson2</artifactId>
        </dependency>

        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <version>1.18.32</version>
        </dependency>


        <!-- Mysql驱动包 -->
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
        </dependency>
        <!--sqlserver 配置-->
        <dependency>
            <groupId>com.microsoft.sqlserver</groupId>
            <artifactId>mssql-jdbc</artifactId>
            <version>11.2.2.jre18</version>
        </dependency>

        <!-- 核心模块-->
        <dependency>
            <groupId>com.srs</groupId>
            <artifactId>srs-framework</artifactId>
        </dependency>

        <!-- 定时任务-->
        <dependency>
            <groupId>com.srs</groupId>
            <artifactId>srs-quartz</artifactId>
        </dependency>

        <!-- 代码生成-->
        <dependency>
            <groupId>com.srs</groupId>
            <artifactId>srs-generator</artifactId>
        </dependency>
        <!-- 新生报到-->
        <dependency>
            <groupId>com.srs</groupId>
            <artifactId>srs-flowable</artifactId>
        </dependency>

        <!-- 新生报到-->
        <dependency>
            <groupId>com.srs</groupId>
            <artifactId>srs-stureg</artifactId>
        </dependency>
        <dependency>
            <groupId>commons-beanutils</groupId>
            <artifactId>commons-beanutils</artifactId>
            <version>1.9.4</version>
        </dependency>
        <!-- 综合素质管理 -->
        <dependency>
            <groupId>com.srs</groupId>
            <artifactId>srs-comprehensive</artifactId>
            <version>3.8.5</version>
            <scope>compile</scope>
        </dependency>
	    <dependency>
		    <groupId>org.springframework</groupId>
		    <artifactId>spring-tx</artifactId>
	    </dependency>
        <!-- 宿舍管理 -->
        <dependency>
            <groupId>com.srs.dormitory</groupId>
            <artifactId>dms-dormitory</artifactId>
            <version>3.8.5</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-tx</artifactId>
            <version>5.3.20</version>
        </dependency>
        <dependency>
            <groupId>com.srs</groupId>
            <artifactId>srs-routine</artifactId>
            <version>3.8.5</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.srs</groupId>
            <artifactId>srs-staff</artifactId>
            <version>3.8.5</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.srs</groupId>
            <artifactId>srs-teacher</artifactId>
            <version>3.8.5</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.srs</groupId>
            <artifactId>srs-workstudy</artifactId>
            <version>3.8.5</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.srs</groupId>
            <artifactId>srs-survey</artifactId>
            <version>3.8.5</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.srs</groupId>
            <artifactId>srs-diagnostic</artifactId>
            <version>3.8.5</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.auth0</groupId>
            <artifactId>java-jwt</artifactId>
            <version>4.4.0</version>
        </dependency>
        <dependency>
            <groupId>org.apache.httpcomponents</groupId>
            <artifactId>httpclient</artifactId>
            <version>4.5.13</version>
        </dependency>

    </dependencies>
    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>2.1.1.RELEASE</version>
                <configuration>
                    <fork>true</fork> <!-- 如果没有该配置，devtools不会生效 -->
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-war-plugin</artifactId>
                <version>3.1.0</version>
                <configuration>
                    <failOnMissingWebXml>false</failOnMissingWebXml>
                    <warName>${project.artifactId}</warName>
                </configuration>
           </plugin><plugin><groupId>org.apache.maven.plugins</groupId><artifactId>maven-compiler-plugin</artifactId><configuration><source>8</source><target>8</target></configuration></plugin>
        </plugins>
        <finalName>${project.artifactId}</finalName>
    </build>

</project>
